ChipTools(3)

NAME
ChipTools - Utilities for Chip Level Design.

SYNOPSIS

  Public Member Functions
ChipTools (Cell *)
bool isChip () const
Cell * getCell () const
Instance * getCore () const
const Box & getChipBb () const
const Box & getLeftPadsBb () const
const Box & getRightPadsBb () const
const Box & getTopPadsBb () const
const Box & getBottomPadsBb () const
const Torus & getCorona () const
bool intersectVPads (const Box &) const
bool intersectHPads (const Box &) const

Detailed Description

Utilities for Chip Level Design. The ChipTools class provides a small set of utilities to ease the managment of a complete chip following the Alliance top hierarchical structure.

Constructor & Destructor Documentation

  ChipTools (Cell * cell)
Create a ChipTool for cell.

References Cell::getAbutmentBox(), Entity::getBoundingBox(), DataBase::getDB(), Box::getHeight(), Net::getHorizontals(), Technology::getLayer(), Instance::getMasterCell(), Instance::getName(), Cell::getName(), Cell::getNet(), DataBase::getTechnology(), Box::getWidth(), Box::getXMax(), Box::getXMin(), Box::getYMax(), Box::getYMin(), Box::inflate(), and ChipTools::isChip().

Member Function Documentation

  bool isChip () const [inline]
Returns: true if the Cell is truly a top level design. If not, this object is useless and does nothing.

Referenced by ChipTools::ChipTools(), KatabaticEngine::createDetailedGrid(), and KatabaticEngine::isChip().

  Cell * getCell () const [inline]
Returns: The top-level design.

  Instance * getCore () const [inline]
Returns: The instance of the core, that is, the only instance that is not a pad...

  const Box & getChipBb () const [inline]
Returns: The chip complete bounding box, this *is* simply the Cell bounding box.

  const Box & getLeftPadsBb () const [inline]
Returns: The bounding box enclosing all the pads on the left side of the chip.

Remark: This box is computed from the chip bounding box and the pad height.

  const Box & getRightPadsBb () const [inline]
Returns: The bounding box enclosing all the pads on the right side of the chip.

Remark: This box is computed from the chip bounding box and the pad height.

  const Box & getTopPadsBb () const [inline]
Returns: The bounding box enclosing all the pads on the top side of the chip.

Remark: This box is computed from the chip bounding box and the pad height.

  const Box & getBottomPadsBb () const [inline]
Returns: The bounding box enclosing all the pads on the bottom side of the chip.

Remark: This box is computed from the chip bounding box and the pad height.

  const Torus & getCorona () const [inline]
Returns: The torus (in term of manhanttan distance) enclosed between the pad area and the core area.

  bool intersectVPads (const Box & box) const [inline]
Returns: true if box intersect either the left or right pad box.

References Box::intersect().

  bool intersectHPads (const Box & box) const [inline]
Returns: true if box intersect either the top or bottom pad box.

References Box::intersect().

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.